Subject: Re: [X2Go-Dev] Bug#52: x2goclient deletes all files in a given directory, possible regression

From: Stefan Baur <[email-masked]>
Date: Tue, 23 Oct 2012 17:16:37 +0200

Further testing reveals that the bug only manifests itself if the 
directory in which the batch file is located is a root directory.

In my case, it was the user's home directory on a mapped network drive:

U:\ was mapped to \\fileserver\homedirs\myuser

and the batch file was U:\testfile.cmd

It also happens if you "subst" a drive letter:

subst U: C:\Users\myuser\Downloads

Save the file as C:\Users\myuser\Downloads\testfile.cmd and call it as 
U:\testfile.cmd - The directory C:\Users\myuser\Downloads\ gets zapped.

I can record a video of it if necessary.

Am 23.10.2012 16:24, schrieb Oleksandr Shneyder:
> Hello Stefan,
>
> Unfortunately I can't reproduce this bug. In my setup staying the batch
> (and other files) undeleted...
>
> regards,
> Alex
>
> Am 23.10.2012 15:17, schrieb Stefan Baur:
>> Package: x2goclient
>> Version: 3.99.3.0
>> Severity: important
>>
>> This is happening with:
>> http://code.x2go.org/releases/binary-win32/x2goclient/with-old-pulseaudio-0.9.6/x2goclient-3.99.3.0.interims-pre2-setup.exe
>>
>> Haven't had a chance to try pre3 yet, but I am assuming it behaves the
>> same, as nobody else reported the bug so far.
>>
>> Steps to reproduce:
>>
>> Create a batch file anyname.cmd with this content:
>>
>> @echo off
>> \\box\x2go\Windows\x2goclient\x2goclient.exe --portable --no-menu
>> --no-session-edit --hide --add-to-known-hosts --session="BOX"
>> --home="%USERPROFILE%" --session-conf="\\box\x2go\box-configs\sessions"
>> --autostart=iceweasel --user=unlimited1
>> pause
>>
>> Save this file in a directory where the user has write access.
>>
>> Double-click the batch file, enter password.
>>
>> Close Iceweasel.
>>
>> Right-Click the X2Go icon in the Notification area.
>> Select "BOX" (or whatever you named your session, if you didn't follow
>> the example from above).
>>
>> Select "Exit".
>>
>> As soon as the session terminates, ALL the files in the directory where
>> the batch file was stored are deleted - including the batch file itself.
>>
>> This is BAD(tm).
>>
>> I've seen this with an older copy of x2goclient for Windows and reported
>> it to Alex back then, not sure if it never got fixed or if it cropped up
>> again.
>> _______________________________________________
>> X2Go-Dev mailing list
>> [email-masked]
>> https://lists.berlios.de/mailman/listinfo/x2go-dev
>
>